<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Models\Pouzivatel\Testovanie;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavVyhodnoteniaTestuEnum
 *
 * @method static self VYHODNOTENY()
 * @method static self NEVYHODNOTENY()
 *
 * @package Seka\Vzdelavanie\Models\Pouzivatel\Testovanie
 */
final class StavVyhodnoteniaTestuEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'VYHODNOTENY' => 'vyhodnotený',
            'NEVYHODNOTENY' => 'nevyhodnotený',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        switch ($this->value) {
            case 'NEVYHODNOTENY':
                return '#fad2e1';
            default:
                return '#bee1e6';
        }
    }
}
